none
Migrando do RS 2000 para o RS 2008 RRS feed

  • Pergunta

  • Olá pessoal!

    Estou encontrando o seguinte erro ao migrar o banco de dados do RS 2000 para o RS 2008: O formato da versão do banco de dados do servidor de relatório não é válido ou não pode ser lido. Versão encontrada: 'C.0.6.43'. Versão esperada: 'C.0.9.45'. (rsInvalidReportServerDatabase)

    Segui o tutorial e dicas contidos no MSDN e Books Online e mesmo assim, ocorre este erro.

    A migração do banco (de uma instancia para a outra) eu fiz com Detach e Attach e a configuração do banco de dados, pelo Reporting Services Configuration Manager (database >> adicionei a ReportServer migrada)

    Pelo que eu li, neste momento, a migração atualizaria a versão do banco de dados, segundo o BOL

    Já vi a Database Role RSExecRole e inclusive seguindo a seção de resolver problema, acicionei esta Role à role db_owner e mesmo assim, sem efeito.

    A cada mudança, sempre reiniciei o serviço (as vezes até da instancia).

    Alguma outra dica?

    Obrigado.

    Atenciosamente,

    terça-feira, 7 de fevereiro de 2012 13:47

Todas as Respostas

  • Daniel,

    Após fazer o Attach/Dettach, você alterou o nível de compatibilidade deste banco de dados para versão 2008?

    A estrutura dos relatórios você esta conseguindo migrar através do BIDS?


    Pedro Antonio Galvão Junior [MVP | Microsoft Evangelist | Microsoft Partner | Engenheiro de Softwares | Especialista em Banco de Dados | SorBR.Net | Professor Universitário | MSIT.com]

    quarta-feira, 8 de fevereiro de 2012 13:41
  • Olá Junior!

    Obrigado pela atenção.

    Alterei sim....mudei para o 2008 (100).

    Quanto a migrar os relatórios, não inciei ainda.

    Testei a URL do SSRS e logo de cara, dá este erro.

    Estou pensando em migrar para o SSRS 2005 (ainda tenho uma instancia 2005) e depois, para o 2008.

    quarta-feira, 8 de fevereiro de 2012 13:50